commit ae9e270347ec932310ab16d7521e582e05fecaa2
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Thu Sep 16 14:35:24 2021

    libstdc++: Remove non-deducible parameter for std::advance overload
    
    This was just a copy and paste error.
    
    Signed-off-by: Jonathan Wakely <jwakely@redhat.com>
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/fs_path.h (advance): Remove non-deducible
            template parameter.
    
    (cherry picked from commit 21c760510d31253074577a14021fdc6ad44084b6)

diff --git a/libstdc++-v3/include/bits/fs_path.h b/libstdc++-v3/include/bits/fs_path.h
index 4fcd1def92f..85c83412615 100644
--- a/libstdc++-v3/include/bits/fs_path.h
+++ b/libstdc++-v3/include/bits/fs_path.h
@@ -1357,7 +1357,7 @@ inline ptrdiff_t
 distance(filesystem::path::iterator __first, filesystem::path::iterator __last)
 { return __path_iter_distance(__first, __last); }
 
-template<typename _InputIterator, typename _Distance>
+template<typename _Distance>
   void
   advance(filesystem::path::iterator& __i, _Distance __n)
   { __path_iter_advance(__i, static_cast<ptrdiff_t>(__n)); }

